# Texol

Sposób zapisu 'Texol' polega na pięciu grupach liter po 7 znaków.
Każda litera należy do ktorejś z grup 't' 'e' 'x' 'o' lub 'l'. Jeśli
kolejna litera w wyrazie należy do tej samej grupy zapisujemy tylko znak
różnicy w jakiej grupie jest. W ten sposób ten sam
znak może oznaczać inną literę.

## Instalacja

Wystarczy dodać do pliku Gemfile taki napis:

```ruby
gem 'texol'
```

I uruchomić:

    $ bundle

Lub zainstalować samodzielnie:

    $ gem install texol

## Jak używać

Wystarczy stworzyć obiekt x = Texol.new . Przy tworzeniu możemy podać różne
sposoby zapisu znaków dodatkowych. Jako znaki 'unicode', jako znaki
'plusminus' i jako znaki na klawiaturze.

Zapis 'klawiatura'
0=0 1=+1 2=+2 3=+3 4=-1 5=-2 6=-3 7=d0 8=d+1 9=d-1 [=d+2 ]=d-2 {=d+3 }=d-3

Najprostrzym sposobem jest podanie pełnego napisu x.napis("treść") i
otrzymamy wynik gotowy do użycia z odpowiednim fontem.

## Dla ciekawych

 Instrukcja `rake test` powinna wykonać wszelkie testy obiektu. Można też
 użyć irb interaktywnej konsoli uruchamiając `bin/console`.

 Jeśli chcesz zainstalować tego gem-a lokalnie, użyj `bundle install --path ./.bundle` lub `gem install --user texol` .

## Repozytorium

Repozytorium https://gitlab.com/x64/texol .
